+needs-packaging lists packages that cannot be linked

Bug #577497 reported by Curtis Hovey on 2010-05-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Curtis Hovey

Bug Description

The listing is now dominated by language packs which are derived from other packages. They are prominent in the listings because the bug heat rules were given less weight to make the pages faster. The listing also contain metapackages, which have no upstream.

The listing must exclude package that cannot have an upstream project. The package packages should also state that the package cannot have an upstream project.

Related branches

Curtis Hovey (sinzui) wrote :

In the case of language packs, we can exclude them by ignoring all packages in the 'translations' section. Also the sp/dsp page should not ask the user to link any package of with section type 'translations'.

Curtis Hovey (sinzui) wrote :

Many metapackages can be linked to a project. I think DSP should support a bit that states that users can set to indicate that the package is a metapackage that cannot be linked upstream.

Curtis Hovey (sinzui) on 2010-05-13
Changed in launchpad-registry:
assignee: nobody → Curtis Hovey (sinzui)
status: Triaged → In Progress
Curtis Hovey (sinzui) on 2010-05-18
Changed in launchpad-registry:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2010-05-19
tags: added: qa-ok
removed: qa-needstesting
Curtis Hovey (sinzui) on 2010-06-02
Changed in launchpad-registry:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers